[OE-core] [PATCH 1/1] quilt: fix ptest faildiff.test failed

Dengke Du dengke.du at windriver.com
Tue Mar 8 12:11:55 UTC 2016


When run the quilt ptest on the target, the faildiff.test failed,
because the user is root. The faildiff.test had the following:
	$ chmod -r test.txt
	$ quilt refresh
when we drop the read permission of the file test.txt, we can't
"quilt refresh" as normal user, so we got the following:
	>~ .*diff: test\.txt: Permission denied
	> Diff failed on file 'test.txt', aborting
But when the user is root, we can access the file, so we get the
following:
	> Nothing in patch patches/test.diff
So I change the file "meta/recipes-devtools/quilt/quilt/run-ptest",
when it meet the faildiff.test it skipped. I will report this bug to
quilt upstream.

Signed-off-by: Dengke Du <dengke.du at windriver.com>
---
 meta/recipes-devtools/quilt/quilt/run-ptest | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta/recipes-devtools/quilt/quilt/run-ptest b/meta/recipes-devtools/quilt/quilt/run-ptest
index 958a9df..d5ae8f4 100755
--- a/meta/recipes-devtools/quilt/quilt/run-ptest
+++ b/meta/recipes-devtools/quilt/quilt/run-ptest
@@ -1,5 +1,5 @@
 #!/bin/sh
 
 ln -sf /bin/ed /usr/bin/ed
-for i in `ls test/*.test |awk -F. '{print $1}' |awk -F/ '{print $2}'`; do make check-$i; if [ $? -eq 0 ]; then echo PASS: $i.test; else echo FAIL: $i.test; fi; done
+for i in `ls test/*.test |awk -F. '{print $1}' |awk -F/ '{print $2}'`; do if [ "$i" == "faildiff" ]; then echo SKIPPED: $i.test; else make check-$i; if [ $? -eq 0 ]; then echo PASS: $i.test; else echo FAIL: $i.test; fi; fi; done
 rm -f /usr/bin/ed
-- 
1.9.1




More information about the Openembedded-core mailing list